/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.dom.svg;

/**
 * This interface represents the objects which returns the default
 * value of an attribute.
 *
 * @author <a href="mailto:stephane@hillion.org">Stephane Hillion</a>
 * @version $Id: DefaultAttributeValueProducer.java,v 1.1 2000/12/06 21:22:21 hillion Exp $
 */
public interface DefaultAttributeValueProducer {
    /**
     * Returns the handled attribute default value.
     */
    String getDefaultAttributeValue();
}
